<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

			$id = $_GET['almacen'];

			$ccostos = $ges2->get_centros_costo();

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen']) && !isset($_POST['REGISTRAR'])){

				require_once("./view/registrar_ccosto.phtml");
				
			}

			// REGISTRAR CENTRO DE COSTOS

			if(isset($_SESSION['id_usuario_almacen']) && isset($_POST['REGISTRAR'])){

				require_once("./view/cargando.phtml");

				// echo'<script type="text/javascript">alert("'.explode(" - ",$_POST['id_ccosto'])[0].'");</script>';

				if( isset($_POST['id_ccosto']) ){

					$validacion = $ges->get_validar_asignacion_ccosto($id,explode(" - ",$_POST['id_ccosto'])[0]);
					$validacion2 = $ges->get_validacion_ccosto(explode(" - ",$_POST['id_ccosto'])[0]);

					if($validacion2['total'] == 1){

						if($validacion['total'] == 0){

							$resultado = $ges->set_almacen_ccosto( explode(" - ",$_POST['id_ccosto'])[0] , $ccostos[array_search(explode(" - ",$_POST['id_ccosto'])[0], array_column($ccostos, 'CODCCOSTO'))]['NOMBRE'] , $id );
							
							echo'<script type="text/javascript">alert("SE REGISTRÓ CORRECTAMENTE");window.location.href="almacen.php?almacen='.$id.'";</script>';

						}else{

							echo'<script type="text/javascript">alert("EL CENTRO DE COSTO YA HA SIDO ASIGNADO");window.location.href="almacen.php?almacen='.$id.'";</script>';

						}
					}else{
						echo'<script type="text/javascript">alert("DATO ERRÓNEO");window.location.href="registrar_ccosto.php?almacen='.$id.'";</script>';
					}

				}else{

					echo'<script type="text/javascript">alert("DATOS INCOMPLETOS");window.location.href="registrar_ccosto.php?almacen='.$id.'";</script>';

				}

			}

			// VALIDAR USUARIO

			if(!isset($_SESSION['id_usuario_almacen'])){

				echo'<script type="text/javascript">alert("NO HA INGRESADO SESIÓN");window.location.href="index.php";</script>';
				
			}


?>